# Online Buyer/Seller Details

## Get billing details from this online transaction

 - [GET /api/v1/transactions/{transaction_id}/billing_details](https://docs.trustap.com/apis/openapi/online-buyerseller-details/basic.getbillingdetails.md)

## Get details of the buyer from this online transaction

 - [GET /api/v1/transactions/{transaction_id}/buyer_details](https://docs.trustap.com/apis/openapi/online-buyerseller-details/basic.getbuyerdetails.md)

## Get details of the seller from this online transaction

 - [GET /api/v1/transactions/{transaction_id}/seller_details](https://docs.trustap.com/apis/openapi/online-buyerseller-details/basic.getsellerdetails.md)

## Get the Stripe client secret for this online transaction

 - [GET /api/v1/transactions/{transaction_id}/stripe_client_secret](https://docs.trustap.com/apis/openapi/online-buyerseller-details/getstripeclientsecretfortransaction.md): This endpoint is used for the asynchronous payment flow using
Stripe. The client_secret returned from this endpoint should
be passed to
stripe.confirmCardPayment
to start the payment process.

## Get the details for the Stripe publishable key that is in use for this online transaction

 - [GET /api/v1/transactions/{transaction_id}/stripe_publishable_key](https://docs.trustap.com/apis/openapi/online-buyerseller-details/basic.getstripepublishablekeyfortransaction.md): Returns the Publishable Key for the Stripe Platform
which is hosting this transaction.

